Open Inventory / Docs
EndpunktePurchasingPurchase orders

Create a draft or ordered purchase order

Die API läuft auf deiner Anwendungsinstanz. Schemas und Feldnamen stammen unverändert aus der OpenAPI-Spezifikation. Browsergebundene Aufrufe benötigen eine Sitzung auf der Instanz.

POST
/purchase-orders

Authentifizierung

bearerAuth
headerAuthentifizierungBearer <inv_ token>

Header-Parameter

Idempotency-Key*string

UUID identifying this atomic operation; reuse it only to retry the exact same request.

Formatuuid
X-Organization-ID?string

Organization membership selected for this request. User-bound credentials may select any active membership; standalone tokens may only repeat their pinned organization ID.

Formatuuid

Anfrageinhalt

application/json
  1. body
reference?|
Längelength <= 160
contactId?|
Formatuuid
supplier?string
Längelength <= 240
status?string
Mögliche Werte"draft""ordered"
orderedAt?string
Formatdate-time
expectedAt?|
Formatdate-time
note?string
Längelength <= 20000
lines*array<|>
Einträge1 <= items <= 100

Antwortinhalt

Replayed the original purchase-order response

Beispielanfrage
curl -X POST 'https://inventory.example.com/api/v1/purchase-orders' \  -H 'Idempotency-Key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "lines": [    {      "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6"    }  ]}'
Beispielantwort
Leer